/* File: IO_DBOX.h */

#ifndef __IO_DBOX
#define __IO_DBOX

#include "DBOX.h"

typedef
   enum {
      DOUBLE, INT
   } FORMAT;

typedef
   struct {
      int    ident;
      int    size; 
      void   *pointer;
      FORMAT format;
    } VELEMENT;

typedef
   struct {
      int    ident; 
      void   *pointer;
      FORMAT format;
    } FELEMENT;

class IO_DBOX : public DIALOG_BOX {
   private:
      VELEMENT *variable;
      FELEMENT *fixed;
   public:
      IO_DBOX (Display *dsp, WINDOW *prnt, unsigned long foreground,
         unsigned long background, char *name, FELEMENT *Fixed, 
         VELEMENT *Variable, int *VPar = NULL, int *VID = NULL);
      virtual int Go (XEvent *event);
   };

#endif
