/* File: MENU.h */

#ifndef __MENU
#define __MENU

#include <stdio.h>
#include "WINDOW.h"

#define MENU_NAME "MENU"

class MENU_ITEM;

class MENU : public WINDOW {
   private:
      void S0 (FILE *in);
      void Load (char *name);
   public:
      MENU (Display *dsp, WINDOW *prnt, int x, int y, unsigned int width,
         unsigned int height, unsigned long background,
         unsigned long foreground, char *name);
      ~MENU (void);
      void Resize (void);
      int Go (XEvent *event);
   };

#endif
