/* File: SBBUTTON.h */

#ifndef __SCROLL_BAR_BUTTON
#define __SCROLL_BAR_BUTTON

#include "WINDOW.h"

#define SCROLL_BAR_BUTTON_NAME "SCROLL_BAR_BUTTON"

typedef
   enum {
      Up, Down
   } Direction;

class SCROLL_BAR_BUTTON : public WINDOW {
   private:
      void Draw (void);
      void Highlight (Bool highlight);
      Direction index;
   public:
      SCROLL_BAR_BUTTON (Display *dsp, WINDOW *prnt, int x, int y, 
         unsigned int width, unsigned int height, Direction Index);
      int Go (XEvent *event);
      Direction Dir (void) {return index;};
   };

#endif
