/* File: VEDIT.h */

#ifndef __VEDIT
#define __VEDIT

#include "CONTROL.h"
#include "SBBUTTON.h"

#define VEDIT_NAME "VEDIT"

class VEDIT : public CONTROL {
   private:
      int  n_item;
      void Scroll (Direction up);
   public:
      void DisplayItself (void);
      VEDIT (Display *dsp, WINDOW *prnt, char *name, int x, int y, 
         unsigned int width, unsigned int height, int Index, int NItem);
      int NItem (void) {return n_item;};
      void SetText (int nItem, char *text);
      int Go (XEvent *event);
      ~VEDIT (void);
   };

#endif
