/* File: const.h */

#include <X11/Xlib.h>
#include <string.h>

#define CHAR_HEIGHT        (TRUE_CHAR_HEIGHT + 2)
#define TEXT_WIDTH(x)      (TRUE_TEXT_WIDTH (x) + 2)
#define TRUE_TEXT_WIDTH(x) (XTextWidth (font_info, x, strlen (x)))
#define TRUE_CHAR_HEIGHT   (font_info ->max_bounds .ascent + font_info ->max_bounds .descent)
#define TRUE_CHAR_WIDTH    (font_info ->max_bounds .width)
#define MODY               ((double) TRUE_CHAR_HEIGHT / 16)
#define MODX               ((double) TRUE_CHAR_WIDTH / 9)
#define MIN(A,B)           ((A) < (B) ? (A) : (B))
#define MAX(A,B)           ((A) > (B) ? (A) : (B))
#define EXIT_DBOX           6000
#define NO_EXIT_DBOX        6001
#define NOTHING             6002
#define EXIT_HELP           6003
