/* File: EXKOR.h */

#ifndef __EXKOR
#define __EXKOR

#include "WINDOW.h"

class METHODEXKOR {
   private:
      int     number_of_iterations, number_of_initial_points;
      double  *lower_bounds, *upper_bounds, *start;
      int     number_of_variables;
   public:
      METHODEXKOR (double *Start, double *xl, double *xu, int n);
      int EnterParameters (Display *dsp, WINDOW *wnd);
      void Run (double *x, int n, double *y, 
         double (*fi) (const double *x, int n), double *fm, double **xn);
   };

#endif
