/* File: FLEXI.h */

#ifndef __FLEXI
#define __FLEXI

#include "WINDOW.h"

class METHODFLEXI {
   private:
      int     max_number_of_fun_eval;
      int     number_of_constraints;
      int     number_of_equality_constraints;
      double  size_of_initial_polyhedron, desired_convergence;
      double  *start;
      double  *lower_bounds, *upper_bounds;
      int     number_of_variables;
   public:
      METHODFLEXI (double *Start, double *Lower, double *Upper, int n);
      int EnterParameters (Display *dsp, WINDOW *wnd);
      void Run (double *x, int n, double *y, 
         double (*fi) (const double *x, int n), 
         void (*constr) (const double *x, int n, double *g, int m),
         double *fm, double **xn);
   };

#endif
