/* File: LPMIN.h */

#ifndef __LPMIN
#define __LPMIN

#include "WINDOW.h"

class METHODLPMIN {
   private:
      int     number_of_iterations, number_of_initial_points;
      double  *lower_bounds, *upper_bounds;
      int     number_of_variables;
   public:
      METHODLPMIN (double *xl, double *xu, int n);
      int EnterParameters (Display *dsp, WINDOW *wnd);
      void Run (double *x, int n, double *y, 
         double (*fi) (const double *x, int n), double *fm, double **xn);
   };

#endif
