/* File: STATIC.C */

#include "const.h"
#include "STATIC.h"

STATIC::STATIC (Display *dsp, WINDOW *prnt, char *name, int x, int y,
   unsigned int width, unsigned int height, int Index) :
   CONTROL (dsp, prnt, STATIC_NAME, name, x, y, width, height, 0, 0, Index)
{
   SetInput (ExposureMask);
}

int STATIC::Go (XEvent *event)
{
   switch (event ->type) {
   case Expose:
      if (event ->xexpose .count == 0) {
         XWindowAttributes xwa;
         char              *name = GetName ();

         GetAttributes (&xwa);
         DrawString (1, xwa .height - 2, name);
         XFree (name);
      }
      break;
   default:
      break;
   }
   return NOTHING;
}
