/* File: MIG1.C */

#include <values.h>
#include "res.h"
#include "task.h"
#include "OUTPUT.h"

void mig1 (double *x, const double *a, const double *b, int n, double *y,
   double (*f) (const double *x, int n), int max_l, double *fm, double **xn)
{
   double ff = r1mach (2);
   int    best_iteration;

   for (int iteration = 0; iteration < max_l; iteration++) {
      random_point (x, a, b, n);
      fm [iteration] = *y = (*f) (x, n);
      if (*y < ff) {
         ff             = *y;
         best_iteration = iteration;
      }
      copy_array (xn [iteration], x, n);
      if (met_out (iteration + 1) == EXIT_MET) goto end;
   }
end:
   *y = ff;
   copy_array (x, xn [best_iteration], n);
}
